Page MenuHomePhabricator

No registered builder available for vector.
Closed, ResolvedPublic

Description

Hi, since updating from mediawiki 1.31 wmf 4 to mediawiki 1.31 12 trying to view the ui at mw-config is not showing (ie no vector ui just plain text).

I am getting a 500 url in the console which leads me to mw-config/index.php?css=1

which gives me a traceback of

[b34a62ebbc656f44683d7cc2] /mw-config/index.php?css=1 ConfigException from line 131 of /home/randomwi/public_html/en/includes/config/ConfigFactory.php: No registered builder available for vector.

Backtrace:

#0 /home/randomwi/public_html/en/skins/Vector/ResourceLoaderLessModule.php(42): ConfigFactory->makeConfig(string)
#1 /home/randomwi/public_html/en/includes/resourceloader/ResourceLoaderFileModule.php(967): Vector\ResourceLoaderLessModule->getLessVars(ResourceLoaderContext)
#2 /home/randomwi/public_html/en/includes/resourceloader/ResourceLoaderFileModule.php(881): ResourceLoaderFileModule->compileLessFile(string, ResourceLoaderContext)
#3 /home/randomwi/public_html/en/includes/resourceloader/ResourceLoaderFileModule.php(852): ResourceLoaderFileModule->readStyleFile(string, boolean, ResourceLoaderContext)
#4 /home/randomwi/public_html/en/includes/installer/WebInstallerOutput.php(177): ResourceLoaderFileModule->readStyleFiles(array, boolean, ResourceLoaderContext)
#5 /home/randomwi/public_html/en/includes/installer/WebInstaller.php(1231): WebInstallerOutput->getCSS()
#6 /home/randomwi/public_html/en/includes/installer/WebInstaller.php(182): WebInstaller->outputCss()
#7 /home/randomwi/public_html/en/mw-config/index.php(80): WebInstaller->execute(array)
#8 /home/randomwi/public_html/en/mw-config/index.php(39): wfInstallerMain()
#9 {main}

Event Timeline

Paladox created this task.Dec 23 2017, 6:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 23 2017, 6:23 PM

Change 400000 had a related patch set uploaded (by Paladox; owner: Paladox):
[mediawiki/skins/Vector@master] Revert "Print styles in Vector are no longer feature flagged"

https://gerrit.wikimedia.org/r/400000

Change 400000 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Revert "Print styles in Vector are no longer feature flagged"

https://gerrit.wikimedia.org/r/400000

Legoktm closed this task as Resolved.Dec 24 2017, 7:36 PM
Legoktm assigned this task to Paladox.

Change 400389 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/Vector@master] Revert "Revert "Print styles in Vector are no longer feature flagged""

https://gerrit.wikimedia.org/r/400389

Change 400390 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/Vector@master] Do not fail when we can't get the config

https://gerrit.wikimedia.org/r/400390

matmarex reopened this task as Open.Dec 27 2017, 11:28 AM
matmarex claimed this task.

Change 400389 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Revert "Revert "Print styles in Vector are no longer feature flagged""

https://gerrit.wikimedia.org/r/400389

Change 400390 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Do not fail when we can't get the config

https://gerrit.wikimedia.org/r/400390

Paladox closed this task as Resolved.Dec 29 2017, 11:07 PM
Paladox removed a project: Patch-For-Review.